Bug 58205 - getSlideMasters() returns the master slides in the incorrect order
Summary: getSlideMasters() returns the master slides in the incorrect order
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: XSLF (show other bugs)
Version: 3.13-dev
Hardware: PC Linux
: P2 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-04 08:29 UTC by mark.o
Modified: 2015-08-07 06:29 UTC (History)
0 users



Attachments
patch with proposed changes (5.16 KB, patch)
2015-08-04 08:29 UTC, mark.o
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mark.o 2015-08-04 08:29:14 UTC
Created attachment 32955 [details]
patch with proposed changes

- Relying on the order returned by HashMap is dubious.
  In my case it returned [slideMaster2, slideMaster1]
Comment 1 Andreas Beeker 2015-08-06 23:09:38 UTC
Hi Mark,

thank you for your patch, but please also add test files and junit tests to 
your patches (not just this one).
I'm currently trying to reproduce the issue and write a test, but it would be 
easier with at least a example .pptx

Andi
Comment 2 Andreas Beeker 2015-08-07 00:20:05 UTC
Applied the patch with a modification for a NPE in r1694592
Comment 3 mark.o 2015-08-07 06:29:29 UTC
Hi Andi,

> thank you for your patch, but please also add test files and junit tests to 
> your patches (not just this one).

OK. Test cases should now be possible (now that I've found out where to define the POI.testdata.path in netbeans). We'll see how far I manage with useful junit tests...